controllers/ClientesController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Clientes;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * ClientesController implements the CRUD actions for Clientes model.
 */
class ClientesController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Clientes models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Clientes::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Clientes model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Clientes model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Clientes();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_cliente]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Clientes model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_cliente]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Clientes model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Clientes model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Clientes the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Clientes::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/InquilinosController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Inquilinos;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * InquilinosController implements the CRUD actions for Inquilinos model.
 */
class InquilinosController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Inquilinos models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Inquilinos::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Inquilinos model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Inquilinos model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Inquilinos();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_inquilino]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Inquilinos model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_inquilino]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Inquilinos model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Inquilinos model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Inquilinos the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Inquilinos::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/LimpiezasController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Limpiezas;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * LimpiezasController implements the CRUD actions for Limpiezas model.
 */
class LimpiezasController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Limpiezas models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Limpiezas::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Limpiezas model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Limpiezas model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Limpiezas();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_limpieza]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Limpiezas model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_limpieza]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Limpiezas model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Limpiezas model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Limpiezas the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Limpiezas::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/PropiedadesController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Propiedades;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use yii\data\SqlDataProvider;

/**
 * PropiedadesController implements the CRUD actions for Propiedades model.
 */
class PropiedadesController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Propiedades models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Propiedades::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Propiedades model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Propiedades model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Propiedades();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_propiedad]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Propiedades model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_propiedad]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Propiedades model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Propiedades model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Propiedades the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Propiedades::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }


    public function actionConsultahabitaciones($pob)
    {
        $numero = Yii::$app->db
            ->createCommand("SELECT COUNT(*) FROM (SELECT * FROM(
  SELECT p.id_propiedad, p.poblacion poblacion, p.dir_completa AS Direccion_Completa, c.id_cliente, p.num_habitaciones,COUNT(a.id_inquilino)+1 AS habitaciones_ocupadas, (p.num_habitaciones-(COUNT(a.id_inquilino)+1)) AS HABITACIONES_LIBRES
  FROM clientes c
    INNER JOIN alojamientos a ON c.id_cliente = a.id_cliente
    INNER JOIN propiedades p ON c.id_propiedad = p.id_propiedad
      GROUP BY c.id_cliente
  )hab_libres WHERE hab_libres.poblacion = '$pob' ) AS C2 ")
            ->queryScalar();
        $dataProvider = new SqlDataProvider([
            'sql'=>"SELECT * FROM(
  SELECT p.id_propiedad, p.poblacion poblacion, p.dir_completa AS Direccion_Completa, c.id_cliente, p.num_habitaciones,COUNT(a.id_inquilino)+1 AS habitaciones_ocupadas, (p.num_habitaciones-(COUNT(a.id_inquilino)+1)) AS HABITACIONES_LIBRES, c.tlf AS Numero_de_contacto
  FROM clientes c
    INNER JOIN alojamientos a ON c.id_cliente = a.id_cliente
    INNER JOIN propiedades p ON c.id_propiedad = p.id_propiedad
      GROUP BY c.id_cliente
  )hab_libres WHERE hab_libres.poblacion = '$pob' AND hab_libres.HABITACIONES_LIBRES>0",
            'totalCount'=>$numero,
            'pagination'=>[
                'pageSize' => 20,
            ]
           
        ]);
        return $this->render("resultado",[
            "resultado"=>$dataProvider,
            "campos"=>['Direccion_Completa','id_cliente','num_habitaciones','habitaciones_ocupadas','HABITACIONES_LIBRES', 'Numero_de_contacto'],
            "titulo"=>"Propiedades disponibles en $pob",
        ]);
    }
    
    public function actionConsultaprecios()
    {
        $numero1 = Yii::$app->db
            ->createCommand("SELECT COUNT(*)
   FROM (SELECT p.id_propiedad, c.precio_firmado, SUM(l.coste) AS total_limpieza,FORMAT ( ( (SUM(l.coste) + c.precio_firmado) / (COUNT(a.id_inquilino)+1) ), 2) AS Precio_por_persona, COUNT(a.id_cliente)+1 AS HABITACIONES_OCUPADAS
  FROM clientes c 
    INNER JOIN alojamientos a ON c.id_cliente = a.id_cliente 
    INNER JOIN propiedades p ON c.id_propiedad = p.id_propiedad
    INNER JOIN limpiezas l ON c.id_cliente = l.id_cliente
      GROUP BY c.id_cliente
        ORDER BY p.id_propiedad ) c1")
            ->queryScalar();
        $dataProvider1 = new SqlDataProvider([
            'db' => Yii::$app->db,
            'sql'=>"SELECT C1.id_propiedad,C1.precio_firmado,SUM(l.coste) AS total_limpieza,FORMAT( (C1.Precio_por_persona+(SUM(l.coste)/C1.HABITACIONES_OCUPADAS)),2) AS Precio_por_persona, C1.HABITACIONES_OCUPADAS
  FROM (SELECT c.id_cliente, p.id_propiedad, c.precio_firmado, FORMAT ( ( c.precio_firmado / (COUNT(a.id_inquilino)+1) ), 2) AS Precio_por_persona, COUNT(a.id_cliente)+1 AS HABITACIONES_OCUPADAS
  FROM clientes c 
    INNER JOIN alojamientos a ON c.id_cliente = a.id_cliente 
    INNER JOIN propiedades p ON c.id_propiedad = p.id_propiedad
      GROUP BY c.id_cliente
        ORDER BY p.id_propiedad) AS C1
    INNER JOIN limpiezas l ON l.id_cliente=C1.id_cliente
      GROUP BY C1.id_cliente
        ORDER BY C1.id_propiedad",
            'totalCount'=>$numero1,
            'pagination'=>[
                'pageSize' => 20,
            ]
        ]);
        return $this->render("resultado_1",[
            "resultado"=>$dataProvider1,
            "campos"=>['id_propiedad','precio_firmado','Precio_por_persona','total_limpieza','HABITACIONES_OCUPADAS'],
            "titulo"=>"Precio del alquiler por persona",
        ]);
    }
}

views/site/about.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;

$this->title = 'About';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-about">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        This is the About page. You may modify the following file to customize its content:
    </p>

    <code><?= __FILE__ ?></code>
</div>

views/site/contact.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model app\models\ContactForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use yii\captcha\Captcha;

$this->title = 'Contact';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-contact">
    <h1><?= Html::encode($this->title) ?></h1>

    <?php if (Yii::$app->session->hasFlash('contactFormSubmitted')): ?>

        <div class="alert alert-success">
            Thank you for contacting us. We will respond to you as soon as possible.
        </div>

        <p>
            Note that if you turn on the Yii debugger, you should be able
            to view the mail message on the mail panel of the debugger.
            <?php if (Yii::$app->mailer->useFileTransport): ?>
                Because the application is in development mode, the email is not sent but saved as
                a file under <code><?= Yii::getAlias(Yii::$app->mailer->fileTransportPath) ?></code>.
                Please configure the <code>useFileTransport</code> property of the <code>mail</code>
                application component to be false to enable email sending.
            <?php endif; ?>
        </p>

    <?php else: ?>

        <p>
            If you have business inquiries or other questions, please fill out the following form to contact us.
            Thank you.
        </p>

        <div class="row">
            <div class="col-lg-5">

                <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>

                    <?= $form->field($model, 'name')->textInput(['autofocus' => true]) ?>

                    <?= $form->field($model, 'email') ?>

                    <?= $form->field($model, 'subject') ?>

                    <?= $form->field($model, 'body')->textarea(['rows' => 6]) ?>

                    <?= $form->field($model, 'verifyCode')->widget(Captcha::className(), [
                        'template' => '<div class="row"><div class="col-lg-3">{image}</div><div class="col-lg-6">{input}</div></div>',
                    ]) ?>

                    <div class="form-group">
                        <?= Html::submitButton('Submit', ['class' => 'btn btn-primary', 'name' => 'contact-button']) ?>
                    </div>

                <?php ActiveForm::end(); ?>

            </div>
        </div>

    <?php endif; ?>
</div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */

$this->title = 'UniClean - Portal para estudiantes';
?>
<div class="site-index">

    <div class="jumbotron">
        <h1>¡Bienvenido a UniClean!</h1>

        <p class="lead">Visita nuestro listado completo de propiedades.</p>        
    </div>



    <div class="body-content">

        <div class="row">
            <div class="col-lg-6">                
                <h2>Consultar propiedades en las que alojarte donde estudias:</h2>
                <div class="col-lg-3">
                    <nav>
                        <ul style="margin-top: 20px ">
                            <li><?= Html::a('Barcelona', ['propiedades/consultahabitaciones', 'pob' => 'Barcelona'], ['class' => 'btn btn-primary']) ?></li>
                        </ul>
                        <ul>
                            <li><?= Html::a('Bilbao', ['propiedades/consultahabitaciones', 'pob' => 'Bilbao'], ['class' => 'btn btn-primary']) ?></li>
                        </ul>
                        <ul>
                            <li><?= Html::a('Cordoba', ['propiedades/consultahabitaciones', 'pob' => 'Cordoba'], ['class' => 'btn btn-primary']) ?></li>
                        </ul>
                        <ul>
                            <li><?= Html::a('Granada', ['propiedades/consultahabitaciones', 'pob' => 'Granada'], ['class' => 'btn btn-primary']) ?></li>
                        </ul>
                        <ul>
                            <li><?= Html::a('Madrid', ['propiedades/consultahabitaciones', 'pob' => 'Madrid'], ['class' => 'btn btn-primary']) ?></li>
                        </ul>
                        <ul>
                            <li><?= Html::a('Malaga', ['propiedades/consultahabitaciones', 'pob' => 'Malaga'], ['class' => 'btn btn-primary']) ?></li> 
                        </ul>
                        <ul>
                            <li><?= Html::a('Oviedo', ['propiedades/consultahabitaciones', 'pob' => 'Oviedo'], ['class' => 'btn btn-primary']) ?></li> 
                        </ul>
                        <ul>
                            <li><?= Html::a('Pamplona', ['propiedades/consultahabitaciones', 'pob' => 'Pamplona'], ['class' => 'btn btn-primary']) ?></li>
                        </ul>
                    </nav>
                </div>
                <div class="col-lg-3">
                    <nav>
                        <ul style="margin-top: 20px ">
                            <li><?= Html::a('Salamanca', ['propiedades/consultahabitaciones', 'pob' => 'Salamanca'], ['class' => 'btn btn-primary']) ?></li>
                        </ul>
                        <ul>
                            <li><?= Html::a('Santander', ['propiedades/consultahabitaciones', 'pob' => 'Santander'], ['class' => 'btn btn-primary']) ?></li>
                        </ul>
                        <ul>
                            <li><?= Html::a('Segovia', ['propiedades/consultahabitaciones', 'pob' => 'Segovia'], ['class' => 'btn btn-primary']) ?></li>
                        </ul>
                        <ul>
                            <li><?= Html::a('Sevilla', ['propiedades/consultahabitaciones', 'pob' => 'Sevilla'], ['class' => 'btn btn-primary']) ?></li>
                        </ul>
                        <ul>
                            <li><?= Html::a('Valencia', ['propiedades/consultahabitaciones', 'pob' => 'Valencia'], ['class' => 'btn btn-primary']) ?></li>
                        </ul>
                        <ul>
                            <li><?= Html::a('Valladolid', ['propiedades/consultahabitaciones', 'pob' => 'Valladolid'], ['class' => 'btn btn-primary']) ?></li>
                        </ul>
                        <ul>
                            <li><?= Html::a('Vigo', ['propiedades/consultahabitaciones', 'pob' => 'Vigo'], ['class' => 'btn btn-primary']) ?></li>
                        </ul>
                        <ul>
                            <li><?= Html::a('Vitoria', ['propiedades/consultahabitaciones', 'pob' => 'Vitoria'], ['class' => 'btn btn-primary']) ?></li>
                        </ul>
                    </nav>
                </div>
            </div>

            <div class="col-lg-6">
                <h2>Consultar la mensualidad correspondiente a cada propiedad:</h2>
                <div style="margin-top: 20px ">
                    <div style="text-align: center"><?= Html::a('Consultar',['propiedades/consultaprecios'], ['class' => 'btn btn-primary']) ?></div>
                </div>
            </div>
            <div class="col-lg-6">
                <hr>
                <hr>
                <h2>UniClean</h2>
                <hr>
                <p>El portal inmobiliario en el que encontrarás la propiedad ideal para compartirla con tus amig@s, compañer@s, o conocer a tus compañer@s de piso ideales.</p>
                <p>Consulta la lista completa de <?= Html::a('propiedades', ['propiedades/index'], ['class' => 'link1']) ?>, distintos usuarios con sus datos de contacto, ya sean <?= Html::a('Propietarios', ['propietarios/index'], ['class' => 'link2']) ?>, <?= Html::a('Clientes', ['clientes/index'], ['class' => 'link3']) ?> o <?= Html::a('Inquilinos', ['inquilinos/index'], ['class' => 'link4']) ?>.</p>
                <p>Quien quiera poner una propiedad en alquiler debe registrarse primero como propietario para que se pueda contactar con el/ella. </p>
                <p>Si alguien firma el contrato de una propiedad registrada, deberá registrarse como cliente con el Id de la propiedad. </p>
                <p>Quien se aloje como inquilino deberá inscribirse como inquilino con el Id del cliente que le aloje en la tabla <?= Html::a('alojamientos', ['alojamientos/index'], ['class' => 'link5']) ?>. </p>
                <p>Todas las <?= Html::a('limpiezas', ['limpiezas/index'], ['class' => 'link6']) ?> serán registradas una vez se soliciten, se responsabiliza el cliente, por eso es necesaria su Id.</p>
            </div>


        </div>
    </div>


views/site/login.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model app\models\LoginForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

$this->title = 'Login';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-login">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>Please fill out the following fields to login:</p>

    <?php $form = ActiveForm::begin([
        'id' => 'login-form',
        'layout' => 'horizontal',
        'fieldConfig' => [
            'template' => "{label}\n<div class=\"col-lg-3\">{input}</div>\n<div class=\"col-lg-8\">{error}</div>",
            'labelOptions' => ['class' => 'col-lg-1 control-label'],
        ],
    ]); ?>

        <?= $form->field($model, 'username')->textInput(['autofocus' => true]) ?>

        <?= $form->field($model, 'password')->passwordInput() ?>

        <?= $form->field($model, 'rememberMe')->checkbox([
            'template' => "<div class=\"col-lg-offset-1 col-lg-3\">{input} {label}</div>\n<div class=\"col-lg-8\">{error}</div>",
        ]) ?>

        <div class="form-group">
            <div class="col-lg-offset-1 col-lg-11">
                <?= Html::submitButton('Login', ['class' => 'btn btn-primary', 'name' => 'login-button']) ?>
            </div>
        </div>

    <?php ActiveForm::end(); ?>

    <div class="col-lg-offset-1" style="color:#999;">
        You may login with <strong>admin/admin</strong> or <strong>demo/demo</strong>.<br>
        To modify the username/password, please check out the code <code>app\models\User::$users</code>.
    </div>
</div>